CMSIS-DSP: Vector Copy

| CMSIS-DSP Version 1.7.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Vector Copy
Support Functions

## Functions
void | arm_copy_f32 (const float32_t *pSrc, float32_t *pDst, uint32_t blockSize)
| Copies the elements of a floating-point vector. More...
void | arm_copy_q15 (const q15_t *pSrc, q15_t *pDst, uint32_t blockSize)
| Copies the elements of a Q15 vector. More...
void | arm_copy_q31 (const q31_t *pSrc, q31_t *pDst, uint32_t blockSize)
| Copies the elements of a Q31 vector. More...
void | arm_copy_q7 (const q7_t *pSrc, q7_t *pDst, uint32_t blockSize)
| Copies the elements of a Q7 vector. More...

## Description

Copies sample by sample from source vector to destination vector.

        pDst[n] = pSrc[n];   0 <= n < blockSize.

There are separate functions for floating point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_copy_f32 | ( | const float32_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to input vector
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_copy_q15 | ( | const q15_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to input vector
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_copy_q31 | ( | const q31_t * | pSrc,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to input vector
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_copy_q7 | ( | const q7_t * | pSrc,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to input vector
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none